.echo on
.timer on
.output /dev/null

-- fast
SELECT crs_code, min(fare) AS fare
FROM ffl_f_exp_latest
NATURAL JOIN ffl_t
JOIN loc_l_latest ON destination_code IN (nlc_code, fare_group)
WHERE origin_code IN ('7022', '7022')
AND ticket_code IN ('SDS', 'SOS')
GROUP BY destination_code;

BEGIN;
CREATE INDEX loc_l_bydate ON loc_l (end_date) WHERE end_date = '2999-12-31';
ANALYZE loc_l_bydate;

-- slow
SELECT crs_code, min(fare) AS fare
FROM ffl_f_exp_latest
NATURAL JOIN ffl_t
JOIN loc_l_latest ON destination_code IN (nlc_code, fare_group)
WHERE origin_code IN ('7022', '7022')
AND ticket_code IN ('SDS', 'SOS')
GROUP BY destination_code;

ROLLBACK;
